package com.qmth.teachcloud.cas.util.sxmu;

public interface Constants {

    // CAS根地址
    String CAS_BASE_PATH = "https://authserver.sxmu.edu.cn";

    // 业务系统需要显式使用的端口配置，包括80端口，如果不需要配置显式端口，则配置空字符串""即可
    String CLIENT_SYSTEM_EXPLICIT_PORT = "";

    // CAS Server验证成功后需跳转客户端Url的Key
    String SERVICE_KEY = "service";

    // CAS登录地址
    String CAS_LOGIN_URL = CAS_BASE_PATH + "/authserver/login";

    // CAS注销地址
    String CAS_LOGOUT_URL = "/authserver/logout";

    // 业务系统认证集成改造之后的登录URI
    String SSO_LOGIN_URI = "/api/open/sxmu/authentication";

    String SSO_LOGOUT_URI = "/api/open/sxmu/authentication/logout";

    String CAS_ADDRESS = "casAddress";

    String TEACHCLOUD_PRINT = "teachcloudPrint";

    String SCHOOL_SERVICE_ADDRESS = "schoolServiceAddress";

    String GDPU_SERVICE_ADDRESS = "gdpuServiceAddress";
}
