package com.qmth.teachcloud.exchange.common.contant;

/**
 * API常量
 */
public class SysSettingConstant {
    /**
     * 武汉大学参数
     */
    public static final String WHU_APP_KEY = "whuAppKey";
    public static final String WHU_APP_SECRET = "whuAppSecret";
    public static final String WHU_TOKEN_URL = "whuTokenUrl";
    public static final String WHU_KW_URL = "whuKwUrl";

    /**
     * 成都理工大学参数
     */
    public static final String CDUT_APP_KEY = "cdutAppKey";
    public static final String CDUT_APP_SECRET = "cdutAppSecret";
    public static final String CDUT_TOKEN_URL = "cdutTokenUrl";
    public static final String CDUT_KW_URL = "cdutKwUrl";

    /**
     * 云阅卷参数
     */
    public static final String CLOUD_MARKING_ACCESS_KEY = "cloudMarkingAccessKey";
    public static final String CLOUD_MARKING_ACCESS_SECRET = "cloudMarkingAccessSecret";
    public static final String CLOUD_MARKING_ROOT_URL = "cloudMarkingRootUrl";
    public static final String FILE_HOST_URL = "fileHostUrl";

    // 云阅卷考试查询api
    public static final String CLOUD_MARKING_EXAM_URL = "/api/exams";
    // 云阅卷考生数量查询api
    public static final String CLOUD_MARKING_STUDENT_COUNT_URL = "/api/exam/student/count";
    // 云阅卷考生成绩查询api
    public static final String CLOUD_MARKING_STUDENT_SCORE_URL = "/api/exam/student/score";

}